<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    tools:context=".MainActivity">

    <TextView
        android:id="@+id/tv_plugins_header"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="13dp"
        android:layout_marginTop="13dp"
        android:text="@string/choose_plugins"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <CheckBox
        android:id="@+id/cb_plugin_auto_id_on_server"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="30dp"
        android:layout_marginTop="13dp"
        android:text="@string/autoid"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_plugins_header" />

    <CheckBox
        android:id="@+id/cb_plugin_pay_on_server"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="30dp"
        android:text="@string/accountid"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cb_plugin_auto_id_on_server" />

    <CheckBox
        android:id="@+id/cb_plugin_eid_on_server"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="30dp"
        android:text="@string/eid"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cb_plugin_pay_on_server" />

    <CheckBox
        android:id="@+id/cb_plugin_video"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="30dp"
        android:text="@string/videoid"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cb_plugin_eid_on_server" />

    <TextView
        android:id="@+id/tv_theming_header"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="30dp"
        android:layout_marginTop="20dp"
        android:text="@string/choose_theming"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cb_plugin_video" />

    <RadioGroup
        android:id="@+id/themeChoiceGroup"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:layout_marginStart="30dp"
        android:layout_marginTop="10dp"
        app:layout_constraintTop_toBottomOf="@id/tv_theming_header"
        app:layout_constraintStart_toStartOf="parent">

        <RadioButton
            android:id="@+id/rb_code_theming"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Code-Theming"
            android:checked="true" />

        <RadioButton
            android:id="@+id/rb_xml_theming"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="XML-Theming"
            android:layout_marginStart="24dp" />
    </RadioGroup>

    <TextView
        android:id="@+id/logHeadline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/grid_margin"
        android:layout_marginTop="@dimen/grid_margin"
        android:text="@string/log_headline"
        android:textSize="20sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/themeChoiceGroup" />

    <ScrollView
        android:id="@+id/scrollViewLog"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="@dimen/grid_margin"
        android:layout_marginTop="@dimen/grid_margin"
        android:layout_marginEnd="@dimen/grid_margin"
        android:layout_marginBottom="@dimen/grid_margin"
        app:layout_constraintBottom_toTopOf="@id/startButton"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/logHeadline">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:id="@+id/log"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/log_placeholder" />

        </LinearLayout>

    </ScrollView>

    <Button
        android:id="@+id/startButton"
        android:layout_width="match_parent"
        android:layout_height="@dimen/button_height"
        android:layout_marginStart="@dimen/grid_margin"
        android:layout_marginEnd="@dimen/grid_margin"
        android:layout_marginBottom="@dimen/grid_margin"
        android:backgroundTint="@color/colorBlueWebid"
        android:text="@string/start_button"
        android:textColor="@color/white"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>